﻿using SushiBarDataModels;
using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }

        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Максимальное количество суши")]
        public int MaxCountSushis { get; set; }

        [DisplayName("Дата открытия")]
        public DateTime DateOpening { get; set; } = DateTime.Now;
        public Dictionary<int, (ISushiModel, int)> ShopSushis { get; set;  } = new();
    }
}
